#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
int f(int d, int n)
{
    int cnt = 0;
    for (int i = 1; i <= n; i++)
        for (int x = i; x; x /= 10)
            if (x % 10 == d) cnt++;
    return cnt;
}
int main()
{
    for (int k = 1; k < 10; k++)
        for (int i = 199900; i < 200100; i++)
            if (f(k, i) == i)
                printf("%d %d\n", k, i);
    return 0;
    for (int d, n; ~scanf("%d%d", &d, &n);)
        printf("%d\n", f(d, n));
    return 0;
}